#
# spec file for package tkppp (Version 1.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcl tk
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone tk unzip util-linux vim

Name:         tkppp
Copyright:    Eric Jeschke
Group:        Development/Languages/Tcl
Provides:     tkppp 
Requires:     tcl tk
Autoreqprov:  on
Version:      1.4
Release:      379
Summary:      A graphical frontend to PPP
Source: tkppp-1.4-alpha.tar.gz
Patch: tkppp-1.4.dif

%description
tkppp is a graphical front end to manually control a PPP connection.
It presents in a small window a button for starting/quitting PPP,
a small status message area, informational readouts and option buttons.

Authors:
--------
    jeschke@cs.indiana.edu

SuSE series: tcl

%prep
%setup -n tkppp-1.4
%patch

%build

%install
	mkdir -p /usr/X11R6/lib/tkppp
	cp getwx /usr/X11R6/lib/tkppp
	cp tkppp /usr/X11R6/bin/tkppp
	cp tkppp.xpm /usr/X11R6/lib/tkppp
	cp tkppprc /usr/X11R6/lib/tkppp
	cp arrdown /usr/X11R6/lib/tkppp
	cp arrup /usr/X11R6/lib/tkppp
	cp tkppp.1 /usr/share/man/man1

%files
%doc TODO ALPHA BUGS FILES README.SuSE
%dir /usr/X11R6/lib/tkppp
/usr/X11R6/bin/tkppp
/usr/X11R6/lib/tkppp/arrdown
/usr/X11R6/lib/tkppp/arrup
/usr/X11R6/lib/tkppp/getwx
/usr/X11R6/lib/tkppp/tkppp.xpm
%config /usr/X11R6/lib/tkppp/tkppprc
%doc /usr/share/man/man1/tkppp.1.gz

%changelog -n tkppp
* Wed Jan 10 2001 - max@suse.de
- fixed typo in specfile
* Wed Jun 07 2000 - ro@suse.de
- specfile cleanup, doc relocation
* Fri Mar 03 2000 - uli@suse.de
- moved man page to /usr/share
* Fri Nov 05 1999 - max@suse.de
- changed wish's path to /usr/bin.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 28 1998 - hf@suse.de
- fixed dif file.
* Tue Jul 28 1998 - hf@suse.de
- included Bugfixes from Dr. Markus Peuckert
* Fri Oct 10 1997 - hf@suse.de
- ready for autobuild
